aboutsummaryrefslogtreecommitdiffstats
path: root/create_arm_img_urpmi.sh
diff options
context:
space:
mode:
authorDaniel Tartavel <contact@librepc.com>2018-09-14 19:40:13 +0200
committerDaniel Tartavel <contact@librepc.com>2018-09-14 19:40:13 +0200
commit9841f7ed5ed0bdfc4916f379ed60a09a3991b400 (patch)
tree70388e0a3623a2764ff4886f2ecc243687eb5b27 /create_arm_img_urpmi.sh
parenta28821c8f1fd2153bdb0261f49b7e8a7aad15955 (diff)
downloadmageia4arm-9841f7ed5ed0bdfc4916f379ed60a09a3991b400.tar
mageia4arm-9841f7ed5ed0bdfc4916f379ed60a09a3991b400.tar.gz
mageia4arm-9841f7ed5ed0bdfc4916f379ed60a09a3991b400.tar.bz2
mageia4arm-9841f7ed5ed0bdfc4916f379ed60a09a3991b400.tar.xz
mageia4arm-9841f7ed5ed0bdfc4916f379ed60a09a3991b400.zip
Some bugs corrected
Diffstat (limited to 'create_arm_img_urpmi.sh')
-rwxr-xr-xcreate_arm_img_urpmi.sh22
1 files changed, 11 insertions, 11 deletions
diff --git a/create_arm_img_urpmi.sh b/create_arm_img_urpmi.sh
index 8e3b21a..1377cb8 100755
--- a/create_arm_img_urpmi.sh
+++ b/create_arm_img_urpmi.sh
@@ -200,7 +200,7 @@ function addmedia()
function updatemirror()
{
title "updating mirror"
- /sbin/urpmi.update -a -ff --urpmi-root "$BUILD_PATH"
+ /sbin/urpmi.update -a --urpmi-root "$BUILD_PATH"
if [ $? -ne 0 ];then
error "line $LINENO can't update mirrors : exiting"
exit 1
@@ -283,12 +283,12 @@ EOF" >>"$BUILD_PATH/second_stage_install.sh"
#configuration for target
case $TARGET in
- xu3-4)
+ xu3|xu4)
#TEMPORARY CODE
- #copying kernel not existing in mageia
- info "copying kernel-odroid rpm in $BUILD_PATH"
- echo "/bin/cp $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm $BUILD_PATH/"
- /usr/bin/cp "$SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm" "$BUILD_PATH/"
+ #copying kernel odroid not existing in mageia repos
+ info "copying kernel-odroid rpm in $BUILD_PATH/root"
+ echo "/bin/cp $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm $BUILD_PATH/root/"
+ /usr/bin/cp "$SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm" "$BUILD_PATH/root/"
if [ $? -ne 0 ];then
error "line $LINENO error copying $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm : exiting"
exit 1
@@ -339,7 +339,7 @@ function verify_disk_space()
function createxu3image()
{
- title "Creating Odroid XU3-4 image"
+ title "Creating Odroid XU3-XU4 image"
createimage
if [ -z "$BOOTFS" ];then
BOOTFS="ext4"
@@ -524,7 +524,7 @@ brcmfmac" >> "$BUILD_PATH"/etc/modules
ERRORN=$((ERRORN++))
fi
;;
- xu3-4)
+ xu3 | xu4)
;;
esac
@@ -571,7 +571,7 @@ if [ $? -ne 0 ] ; then error "line $LINENO Failed parsing options." >&2 ; exit 1
eval set -- "$TEMP"
echo "$TEMP"
- # Note the quotes around `$TEMP': they are essential!
+# Note the quotes around `$TEMP': they are essential!
while true;
do
case "$1" in
@@ -690,9 +690,9 @@ else
fi
fi
-# assign TARGET ( rpi or xu3-4 )
+# assign TARGET ( rpi, xu3 or xu4 )
case $TARGET in
-xu3 | xu4)
+xu3|xu4)
CREATEIMG="createxu3image"
;;
rpi)